Skip to main content

Plan portable task export

GET
/tasks/{id}/export/plan

Returns task dependencies, warnings, and an estimated size before exporting a .pa-task-export archive.

Contract

Parameter
Value
Sectiontasks
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesintegerTask ID

Responses

4 responses

Status
Description
Type
200
Export planobject
400
Invalid IDobject
401
Unauthorizedobject
500
Task not found or its dependencies could not be readobject
  • {
      "dependencies": {
        "agents": [
          {
            "agent": {},
            "fingerprint": "<string>",
            "sourceId": 0
          }
        ],
        "applications": [
          {
            "application": {},
            "fingerprint": "<string>",
            "sourceId": 0
          }
        ],
        "certificates": [
          {
            "certificate": {},
            "fingerprint": "<string>",
            "hasPrivate": true,
            "sourceId": 0
          }
        ],
        "compromisedHostCampaigns": [
          {
            "campaign": {},
            "fingerprint": "<string>",
            "sourceId": 0
          }
        ],
        "cveSignatures": [
          {
            "fingerprint": "<string>",
            "signature": {},
            "sourceId": 0
          }
        ],
        "files": [
          {
            "file": {},
            "fingerprint": "<string>",
            "payloadIncluded": true,
            "payloadPath": "<string>",
            "payloadSkipped": "<string>",
            "sourceId": 0
          }
        ],
        "macs": [
          {
            "fingerprint": "<string>",
            "mac": {},
            "sourceId": 0
          }
        ],
        "networks": [
          {
            "fingerprint": "<string>",
            "macOverrides": [
              {}
            ],
            "macPolicy": {},
            "network": {},
            "sourceId": 0
          }
        ],
        "tunnels": [
          {
            "fingerprint": "<string>",
            "sourceId": 0,
            "tunnel": {}
          }
        ]
      },
      "format": "<string>",
      "generatedAt": "<string>",
      "missing": [
        {
          "kind": "<string>",
          "reason": "<string>",
          "sourceId": 0
        }
      ],
      "options": {
        "includeFilePayloads": true,
        "includeMalwarePayloads": true
      },
      "schema": "<string>",
      "sourceTaskId": 0,
      "summary": {
        "agents": 0,
        "applications": 0,
        "certificates": 0,
        "compromisedHostCampaigns": 0,
        "cveSignatures": 0,
        "fileBytes": 0,
        "files": 0,
        "macs": 0,
        "networks": 0,
        "payloadBytes": 0,
        "tunnels": 0
      },
      "warnings": [
        "<string>"
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }